<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ApiPayment extends Model
{
    protected $guarded = ['id'];
    
    use HasFactory;

    public function curr()
    {
        return $this->belongsTo(Currency::class,'currency_id');
    }

    public function terminal()
    {
        return $this->belongsTo(Terminal::class,'terminal_id');
    }

    public function payer()
    {
        return $this->belongsTo(User::class,'payer_id');
    }
}
